From 2a2e8e11fddab46f208942a96c7748151406702c Mon Sep 17 00:00:00 2001
From: Isira-Seneviratne <isirasen96@gmail.com>
Date: Sun, 27 Jan 2019 07:18:55 +0530
Subject: [PATCH] po: Update Sinhala translation.

Signed-off-by: Isira-Seneviratne <isirasen96@gmail.com>
---
 po/si.po | 131 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 73 insertions(+), 58 deletions(-)

diff --git a/po/si.po b/po/si.po
index 7b352233ad..6385a381e0 100644
--- a/po/si.po
+++ b/po/si.po
@@ -1,11 +1,12 @@
 # Sinhala translations for Wine
 #
+# Isira Seneviratne <isirasen96@gmail.com>, 2019.
 msgid ""
 msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2019-01-24 16:56+0530\n"
+"PO-Revision-Date: 2019-01-27 07:14+0530\n"
 "Last-Translator: Isira Seneviratne <isirasen96@gmail.com>\n"
 "Language-Team: Sinhala\n"
 "Language: si\n"
@@ -23,8 +24,8 @@ msgid ""
 "To install a new program from a floppy disk, CD-ROM drive, or your hard "
 "drive, click Install."
 msgstr ""
-"Floppy තැටියකින්, CD-ROM තැටියකින් හෝ දෘඪ තැටියකින් අලුත් මෘදුකාංගයක් ස්ථාපනය කරන්නට, "
-"\"ස්ථාපනය කරන්න\" ඔබන්න."
+"Floppy තැටියකින්, CD-ROM තැටියකින් හෝ දෘඪ තැටියකින් අලුත් වැඩසටහනක් ස්ථාපනය"
+" කරන්නට, \"ස්ථාපනය කරන්න\" ඔබන්න."
 
 #: appwiz.rc:62
 msgid "&Install..."
@@ -36,8 +37,8 @@ msgid ""
 "to modify its installed components, select it from the list and click Modify/"
 "Remove."
 msgstr ""
-"පහත මෘදුකාංග ස්වයංක්රීයවට ඉවත් කරන්න පුළුවන්. මෘදුකාංගයක් ඉවත් හෝ වෙනස් කරන්නට, ඒක ලිස්තුවෙන් "
-"තෝරන්න හා \"වෙනස්/ඉවත් කරන්න\" ඔබන්න."
+"පහත මෘදුකාංග ස්වයංක්රීයවට ඉවත් කරන්න පුළුවන්. වැඩසටහනක් ඉවත් හෝ වෙනස්"
+" කරන්නට, ඒක ලිස්තුවෙන් තෝරන්න හා \"වෙනස්/ඉවත් කරන්න\" ඔබන්න."
 
 #: appwiz.rc:67
 msgid "&Support Information"
@@ -88,7 +89,7 @@ msgstr "පිටපත:"
 
 #: appwiz.rc:82
 msgid "Contact:"
-msgstr ""
+msgstr "අමතන්න:"
 
 #: appwiz.rc:83
 msgid "Support Information:"
@@ -124,6 +125,13 @@ msgid ""
 "href=\"https://wiki.winehq.org/Gecko\">https://wiki.winehq.org/Gecko</a> for "
 "details."
 msgstr ""
+"Wine වලට Gecko පැකේජයක් සොයා ගන්න බැරි උනා අවශ්ය වෙන්නේ HTML යෙදුන "
+"යෙදුම් හරියට වැඩ කරන්නට. Wine වලට ඔයා වෙනුවෙන් ඒක ස්වයංක්රීයවට "
+"බාගත කරන්න හා ස්ථාපන කරන්න පුළුවන්.\n"
+"\n"
+"නිර්දේශ කරලා තියෙන්නේ ඔබගේ බෙදාහැරීම එකේ පැකේජ පාවිච්චි කරන්න. "
+" <a href=\"https://wiki.winehq.org/Gecko\">https://wiki.winehq.org/Gecko</a> "
+" බලන්න විස්තර වලට."
 
 #: appwiz.rc:109 appwiz.rc:124
 msgid "&Install"
@@ -164,20 +172,29 @@ msgid ""
 "href=\"https://wiki.winehq.org/Mono\">https://wiki.winehq.org/Mono</a> for "
 "details."
 msgstr ""
+"Wine වලට wine-mono පැකේජයක් සොයා ගන්න බැරි උනා අවශ්ය වෙන්නේ .NET "
+"යෙදුම් හරියට වැඩ කරන්නට. Wine වලට ඔයා වෙනුවෙන් ඒක ස්වයංක්රීයවට "
+"බාගත කරන්න හා ස්ථාපන කරන්න පුළුවන්.\n"
+"\n"
+"නිර්දේශ කරලා තියෙන්නේ ඔබගේ බෙදාහැරීම එකේ පැකේජ පාවිච්චි කරන්න. "
+" <a href=\"https://wiki.winehq.org/Mono\">https://wiki.winehq.org/Mono</a> "
+" බලන්න විස්තර වලට."
 
 #: appwiz.rc:31
 msgid "Add/Remove Programs"
-msgstr "මෘදුකාංග එකතු/ඉවත් කරන්න"
+msgstr "වැඩසටහන් එකතු/ඉවත් කරන්න"
 
 #: appwiz.rc:32
 msgid ""
 "Allows you to install new software, or remove existing software from your "
 "computer."
 msgstr ""
+"ඔබට ඉඩ දෙනවා අලුත් මෘදුකාංග ස්ථාපන කරන්නට, හෝ තියෙන මෘදුකාංග "
+"ඔබගේ පරිගණකෙන් ඉවට් කරන්නට."
 
 #: appwiz.rc:33 taskmgr.rc:262 winecfg.rc:33
 msgid "Applications"
-msgstr "මෘදුකාංග"
+msgstr "යෙදුම්"
 
 #: appwiz.rc:35
 msgid ""
@@ -203,11 +220,11 @@ msgstr "පිටපත"
 
 #: appwiz.rc:41
 msgid "Installation programs"
-msgstr "ස්ථාපන මෘදුකාංග"
+msgstr "ස්ථාපන වැඩසටහන්"
 
 #: appwiz.rc:42
 msgid "Programs (*.exe)"
-msgstr "මෘදුකාංග (*.exe)"
+msgstr "වැඩසටහන් (*.exe)"
 
 #: appwiz.rc:43 avifil32.rc:33 cryptui.rc:83 shell32.rc:199 notepad.rc:76
 #: oleview.rc:103 progman.rc:82 regedit.rc:225 winedbg.rc:43 winhlp32.rc:90
@@ -267,7 +284,7 @@ msgstr "තරංග ආකාරය"
 
 #: avifil32.rc:32
 msgid "All multimedia files"
-msgstr ""
+msgstr "සියළුම බහුමාධ්ය ගොනු"
 
 #: avifil32.rc:34
 msgid "video"
@@ -311,11 +328,11 @@ msgstr "පැය"
 
 #: comctl32.rc:68 winefile.rc:157
 msgid "Properties for %s"
-msgstr "%s දේපළ"
+msgstr "%s එකේ දේපළ"
 
 #: comctl32.rc:73 comdlg32.rc:264
 msgid "&Apply"
-msgstr ""
+msgstr "යොදන්න (&A)"
 
 #: comctl32.rc:74 comctl32.rc:88 comdlg32.rc:307 user32.rc:88
 msgid "Help"
@@ -323,7 +340,7 @@ msgstr "උදව්"
 
 #: comctl32.rc:81
 msgid "Wizard"
-msgstr ""
+msgstr "විශාරද"
 
 #: comctl32.rc:84
 msgid "< &Back"
@@ -370,7 +387,7 @@ msgstr ""
 
 #: comctl32.rc:105
 msgid "A&vailable buttons:"
-msgstr ""
+msgstr "පවතින බොත්තම් (&V):"
 
 #: comctl32.rc:107
 msgid "&Add ->"
@@ -382,7 +399,7 @@ msgstr "<- ඉවත් කරන්න (&R)"
 
 #: comctl32.rc:109
 msgid "&Toolbar buttons:"
-msgstr ""
+msgstr "මෙවලම් තීරුවේ බොත්තම් (&T):"
 
 #: comctl32.rc:42
 msgid "Separator"
@@ -493,11 +510,11 @@ msgstr "සැකසුම (&S)"
 
 #: comdlg32.rc:213
 msgid "&From:"
-msgstr ""
+msgstr "ඉඳලා (&F):"
 
 #: comdlg32.rc:214
 msgid "&To:"
-msgstr ""
+msgstr "වෙනකං (&T):"
 
 #: comdlg32.rc:215 wineps.rc:42
 msgid "Print &Quality:"
@@ -655,7 +672,7 @@ msgstr ""
 
 #: comdlg32.rc:321 comdlg32.rc:342
 msgid "Match &Whole Word Only"
-msgstr ""
+msgstr "සම්පූර්ණ වචනය පමණක් ගැලපේ (&W)"
 
 #: comdlg32.rc:322 comdlg32.rc:343
 msgid "Match &Case"
@@ -679,7 +696,7 @@ msgstr ""
 
 #: comdlg32.rc:335
 msgid "Replace"
-msgstr ""
+msgstr "ප්රතිස්ථාපනය කරන්න"
 
 #: comdlg32.rc:340
 msgid "Re&place With:"
@@ -687,7 +704,7 @@ msgstr ""
 
 #: comdlg32.rc:346
 msgid "&Replace"
-msgstr ""
+msgstr "ප්රතිස්ථාපනය කරන්න (&R)"
 
 #: comdlg32.rc:347
 msgid "Replace &All"
@@ -728,7 +745,7 @@ msgstr "පිටපත්"
 
 #: comdlg32.rc:378
 msgid "Number of &copies:"
-msgstr "පිටපත් නොම්බරය:"
+msgstr "පිටපත් ගණන (&C):"
 
 #: comdlg32.rc:380
 msgid "C&ollate"
@@ -744,11 +761,11 @@ msgstr ""
 
 #: comdlg32.rc:389
 msgid "&from:"
-msgstr ""
+msgstr "ඉඳලා (&F):"
 
 #: comdlg32.rc:390
 msgid "&to:"
-msgstr ""
+msgstr "වෙනකං (&T):"
 
 #: comdlg32.rc:416 winecfg.rc:300
 msgid "Si&ze:"
@@ -992,7 +1009,7 @@ msgstr ""
 
 #: comdlg32.rc:64
 msgid "The 'Number of copies' field cannot be empty."
-msgstr "'පිටපත් නොම්බරය' හිස් වෙන්න බැහැ."
+msgstr "'පිටපත් ගණන' හිස් වෙන්න බැහැ."
 
 #: comdlg32.rc:66
 msgid ""
@@ -3188,7 +3205,7 @@ msgstr "අලුත් (&N)"
 
 #: ieframe.rc:32 winefile.rc:73
 msgid "&Window"
-msgstr ""
+msgstr "කවුළුව (&W)"
 
 #: ieframe.rc:34 view.rc:33 winhlp32.rc:32
 msgid "&Open..."
@@ -4833,7 +4850,7 @@ msgstr ""
 
 #: winerror.mc:1478
 msgid "Newer windows version needed.\n"
-msgstr ""
+msgstr "අලුත් windows අනුවාදයක් අවශ්යයි.\n"
 
 #: winerror.mc:1483
 msgid "Wrong operating system.\n"
@@ -7125,7 +7142,7 @@ msgstr ""
 
 #: msi.rc:173
 msgid "Application: [1]"
-msgstr ""
+msgstr "යෙදුම: [1]"
 
 #: msi.rc:175 msi.rc:176
 msgid "Application Context:[1], Assembly Name:[2]"
@@ -7181,7 +7198,7 @@ msgstr ""
 
 #: msi.rc:189
 msgid "Application: [1], Command line: [2]"
-msgstr ""
+msgstr "යෙදුම: [1], විධාන රේඛාව: [2]"
 
 #: msi.rc:192 msi.rc:209
 msgid "File: [1],  Section: [2],  Key: [3], Value: [4]"
@@ -7368,7 +7385,7 @@ msgstr ""
 
 #: oleacc.rc:45
 msgid "application"
-msgstr ""
+msgstr "යෙදුම"
 
 #: oleacc.rc:46
 msgid "document"
@@ -7412,19 +7429,19 @@ msgstr ""
 
 #: oleacc.rc:56
 msgid "column header"
-msgstr ""
+msgstr "තීරුවේ ශීර්ෂය"
 
 #: oleacc.rc:57
 msgid "row header"
-msgstr ""
+msgstr "පේළියේ ශීර්ෂය"
 
 #: oleacc.rc:58
 msgid "column"
-msgstr ""
+msgstr "තීරුව"
 
 #: oleacc.rc:59
 msgid "row"
-msgstr ""
+msgstr "පේළිය"
 
 #: oleacc.rc:60
 msgid "cell"
@@ -8109,11 +8126,11 @@ msgstr ""
 
 #: shdoclc.rc:106
 msgid "&Row"
-msgstr ""
+msgstr "පේළිය (&R)"
 
 #: shdoclc.rc:107
 msgid "&Column"
-msgstr ""
+msgstr "තීරුව (&C)"
 
 #: shdoclc.rc:108
 msgid "&Table"
@@ -8542,7 +8559,7 @@ msgstr ""
 
 #: shell32.rc:203 progman.rc:83
 msgid "Programs"
-msgstr ""
+msgstr "වැඩසටහන්"
 
 #: shell32.rc:204
 msgid "My Documents"
@@ -8815,7 +8832,7 @@ msgstr ""
 
 #: shell32.rc:256
 msgid "Wine License"
-msgstr ""
+msgstr "Wine බලපත්රය"
 
 #: shell32.rc:158
 msgid "Trash"
@@ -11314,9 +11331,8 @@ msgid "Error: Invalid option '%c'.\n"
 msgstr "දෝෂයක්: විකල්පය '%c' වලංගු නැත.\n"
 
 #: hostname.rc:32
-#, fuzzy
 msgid "Error: Could not get hostname: %u.\n"
-msgstr "දෝෂයක්:"
+msgstr "දෝෂයක්: ධාරක නම ගන්න බැරි උනා: %u.\n"
 
 #: hostname.rc:33
 #, fuzzy
@@ -11689,7 +11705,7 @@ msgstr ""
 
 #: notepad.rc:58 wordpad.rc:55
 msgid "&Replace...\tCtrl+H"
-msgstr ""
+msgstr "ප්රතිස්ථාපනය කරන්න... (&R)\tCtrl+H"
 
 #: notepad.rc:61 progman.rc:56 regedit.rc:79 winefile.rc:83
 msgid "&Contents\tF1"
@@ -11705,7 +11721,7 @@ msgstr ""
 
 #: notepad.rc:102
 msgid "&Header:"
-msgstr ""
+msgstr "ශීර්ෂය (&H):"
 
 #: notepad.rc:104
 msgid "&Footer:"
@@ -13180,9 +13196,8 @@ msgid "Error: Option %1 expects a command line parameter.\n"
 msgstr "දෝෂයක්:"
 
 #: taskkill.rc:35
-#, fuzzy
 msgid "Error: Options /im and /pid are mutually exclusive.\n"
-msgstr "දෝෂයක්:"
+msgstr "දෝෂයක්: /im හා /pid විකල්ප අන්යොන්ය වශයෙන් බැහැර."
 
 #: taskkill.rc:36
 msgid "Close message sent to top-level windows of process with PID %1!u!.\n"
@@ -13264,7 +13279,7 @@ msgstr ""
 
 #: taskmgr.rc:68 taskmgr.rc:256
 msgid "&Select Columns..."
-msgstr ""
+msgstr "තීරු තෝරන්න... (&S)"
 
 #: taskmgr.rc:69 taskmgr.rc:258
 msgid "&CPU History"
@@ -14001,7 +14016,7 @@ msgstr ""
 
 #: uninstaller.rc:29
 msgid "Wine Application Uninstaller"
-msgstr ""
+msgstr "Wine යෙදුම් අස්ථාපකය"
 
 #: uninstaller.rc:30
 msgid ""
@@ -14107,7 +14122,7 @@ msgstr "සංවිධානය (&Z):"
 
 #: winecfg.rc:154
 msgid "Application settings"
-msgstr ""
+msgstr "යෙදුම් සැකසීම්"
 
 #: winecfg.rc:155
 msgid ""
@@ -14122,7 +14137,7 @@ msgstr ""
 
 #: winecfg.rc:160
 msgid "&Remove application"
-msgstr ""
+msgstr "යෙදුම ඉවත් කරන්න (&R)"
 
 #: winecfg.rc:161
 msgid "&Windows Version:"
@@ -14461,7 +14476,7 @@ msgstr ""
 
 #: winecfg.rc:62
 msgid "Wine Programs (*.exe; *.exe.so)"
-msgstr ""
+msgstr "Wine මෘදුකාංග (*.exe; *.exe.so)"
 
 #: winecfg.rc:63
 msgid "Use global settings"
@@ -14862,7 +14877,7 @@ msgstr ""
 
 #: winedbg.rc:50 winedbg.rc:38
 msgid "Program Error"
-msgstr "මෘදුකාංගයේ දෝෂයක්"
+msgstr "වැඩසටහනේ දෝෂයක්"
 
 #: winedbg.rc:55
 msgid ""
@@ -14883,7 +14898,7 @@ msgstr "විස්තර පෙන්නන්න (&D)"
 
 #: winedbg.rc:67
 msgid "Program Error Details"
-msgstr "මෘදුකාංගයේ දෝෂයකේ විස්තර"
+msgstr "වැඩසටහනේ දෝෂයකේ විස්තර"
 
 #: winedbg.rc:74
 msgid ""
@@ -14977,7 +14992,7 @@ msgstr "පුන් තිරය (&U)\tCtrl+Shift+S"
 
 #: winefile.rc:74
 msgid "New &Window"
-msgstr ""
+msgstr "අලුත් කවුළුවක් (&W)"
 
 #: winefile.rc:75
 msgid "Cascading\tCtrl+F5"
@@ -15009,7 +15024,7 @@ msgstr ""
 
 #: winefile.rc:143
 msgid "&Programs"
-msgstr ""
+msgstr "වැඩසටහන් (&P)"
 
 #: winefile.rc:145
 msgid "Docu&ments"
@@ -15174,7 +15189,7 @@ msgstr ""
 
 #: winemine.rc:92
 msgid "Rows"
-msgstr "පේලි"
+msgstr "පේළි"
 
 #: winemine.rc:93
 msgid "Columns"
@@ -15354,7 +15369,7 @@ msgstr ""
 
 #: wordpad.rc:65
 msgid "Paragrap&h format"
-msgstr ""
+msgstr "ඡේදයේ ආකෘතිය (&H)"
 
 #: wordpad.rc:66
 msgid "&Get text"
@@ -15378,7 +15393,7 @@ msgstr "දිනය සහ වෙලාව... (&D)"
 
 #: wordpad.rc:82
 msgid "F&ormat"
-msgstr ""
+msgstr "ආකෘතිය (&O)"
 
 #: wordpad.rc:85
 msgid "&Lists"
@@ -15446,11 +15461,11 @@ msgstr ""
 
 #: wordpad.rc:224
 msgid "New document type"
-msgstr ""
+msgstr "අලුත් ලියවිල්ලේ වර්ගය"
 
 #: wordpad.rc:232
 msgid "Paragraph format"
-msgstr ""
+msgstr "ඡේදයේ ආකෘතිය"
 
 #: wordpad.rc:235
 msgid "Indentation"
-- 
2.20.1