From 84ececad33bdec816fc8bd83e9bbe922a2d0618b Mon Sep 17 00:00:00 2001
From: Isira-Seneviratne <isirasen96@gmail.com>
Date: Mon, 7 Jan 2019 21:35:06 +0530
Subject: [PATCH 2/2] po: Update French translation.

Signed-off-by: Isira-Seneviratne <isirasen96@gmail.com>
---
 po/fr.po | 225 +++++++++++++++++++++----------------------------------
 1 file changed, 86 insertions(+), 139 deletions(-)

diff --git a/po/fr.po b/po/fr.po
index ec9d21437a..fb2f0b8721 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -5,13 +5,14 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2016-10-20 16:19+0100\n"
-"Last-Translator: Frédéric Delanoy <frederic.delanoy@gmail.com>\n"
+"PO-Revision-Date: 2019-01-19 06:47+0530\n"
+"Last-Translator: Isira Seneviratne <isirasen96@gmail.com>\n"
 "Language-Team: French\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Lokalize 18.12.1\n"
 
 #: appwiz.rc:58
 msgid "Install/Uninstall"
@@ -313,25 +314,23 @@ msgstr "Annulation..."
 
 #: browseui.rc:29
 msgid "%1!u! %2 remaining"
-msgstr ""
+msgstr "%1!u! %2 restant"
 
 #: browseui.rc:30
 msgid "%1!u! %2 and %3!u! %4 remaining"
-msgstr ""
+msgstr "%1!u! %2 et %3!u! %4 restant"
 
 #: browseui.rc:31
-#, fuzzy
-#| msgid "&Seconds"
 msgid "seconds"
-msgstr "&Secondes"
+msgstr "secondes"
 
 #: browseui.rc:32
 msgid "minutes"
-msgstr ""
+msgstr "minutes"
 
 #: browseui.rc:33
 msgid "hours"
-msgstr ""
+msgstr "heures"
 
 #: comctl32.rc:68 winefile.rc:157
 msgid "Properties for %s"
@@ -430,16 +429,12 @@ msgid "&Retry"
 msgstr "Ré&péter"
 
 #: comctl32.rc:62
-#, fuzzy
-#| msgid "Hide &Tabs"
 msgid "Hide details"
-msgstr "Cacher les &onglets"
+msgstr "Cacher les détails"
 
 #: comctl32.rc:63
-#, fuzzy
-#| msgid "Details"
 msgid "See details"
-msgstr "Détails"
+msgstr "Afficher les détails"
 
 #: comctl32.rc:31 cryptui.rc:235 regedit.rc:286 taskmgr.rc:434 winedbg.rc:61
 #: winedbg.rc:76 wordpad.rc:180
@@ -2468,16 +2463,13 @@ msgstr ""
 "Vous avez terminé avec succès l'assistant d'exportation de certificats."
 
 #: cryptui.rc:456 cryptui.rc:179
-#, fuzzy
-#| msgid "Select Certificate Store"
 msgid "Select Certificate"
-msgstr "Sélectionnez le magasin de certificats"
+msgstr "Sélectionnez un certificat"
 
 #: cryptui.rc:459
-#, fuzzy
 #| msgid "Select the certificate store you want to use:"
 msgid "Select a certificate you want to use"
-msgstr "Sélectionnez le magasin de certificats à utiliser :"
+msgstr "Sélectionnez un certificat à utiliser :"
 
 #: cryptui.rc:30 cryptui.rc:93
 msgid "Certificate"
@@ -3011,20 +3003,16 @@ msgid "Note: The private key for this certificate is not exportable."
 msgstr "Note : la clé privée de ce certificat n'est pas exportable."
 
 #: cryptui.rc:177
-#, fuzzy
-#| msgid "I&ntended purpose:"
 msgid "Intended Use"
-msgstr "&Rôle prévu :"
+msgstr "Usage prévu"
 
 #: cryptui.rc:178 shell32.rc:152
 msgid "Location"
 msgstr "Emplacement"
 
 #: cryptui.rc:180
-#, fuzzy
-#| msgid "Select Certificate Store"
 msgid "Select a certificate"
-msgstr "Sélectionnez le magasin de certificats"
+msgstr "Sélectionner un certificat"
 
 #: cryptui.rc:181 winefile.rc:102 winhlp32.rc:110 winhlp32.rc:85
 msgid "Not yet implemented"
@@ -3519,16 +3507,12 @@ msgid "Publishers..."
 msgstr "Éditeurs..."
 
 #: inetcpl.rc:123
-#, fuzzy
-#| msgid "LAN Connection"
 msgid "Connections"
-msgstr "Connexion réseau local (LAN)"
+msgstr "Connexions"
 
 #: inetcpl.rc:125
-#, fuzzy
-#| msgid "Wine configuration"
 msgid "Automatic configuration"
-msgstr "Configuration de Wine"
+msgstr "Configuration automatique"
 
 #: inetcpl.rc:126
 msgid "Use Web Proxy Auto-Discovery (WPAD)"
@@ -3539,26 +3523,20 @@ msgid "Use Proxy Auto-Config (PAC) script"
 msgstr ""
 
 #: inetcpl.rc:128 inetcpl.rc:132
-#, fuzzy
-#| msgid "Address"
 msgid "Address:"
-msgstr "Adresse"
+msgstr "Adresse :"
 
 #: inetcpl.rc:130
-#, fuzzy
-#| msgid "&Local server"
 msgid "Proxy server"
-msgstr "Serveur &local"
+msgstr "Serveur proxy"
 
 #: inetcpl.rc:131
 msgid "Use a proxy server"
-msgstr ""
+msgstr "Utiliser un serveur proxy"
 
 #: inetcpl.rc:134
-#, fuzzy
-#| msgid "No Ports"
 msgid "Port:"
-msgstr "Aucun port"
+msgstr "Port:"
 
 #: inetcpl.rc:31
 msgid "Internet Settings"
@@ -7074,10 +7052,9 @@ msgid "Creating folders"
 msgstr "Dossier cible"
 
 #: msi.rc:98
-#, fuzzy
 #| msgid "Create Shor&tcut"
 msgid "Creating shortcuts"
-msgstr "Créer un &raccourci"
+msgstr "Créer des raccourcis"
 
 #: msi.rc:99
 #, fuzzy
@@ -7390,20 +7367,18 @@ msgid "File: [1], Directory: [9], Size: [6]"
 msgstr ""
 
 #: msi.rc:171
-#, fuzzy
 #| msgid "De&vice:"
 msgid "Service: [2]"
-msgstr "Périp&hérique :"
+msgstr "Service : [2]"
 
 #: msi.rc:172
 msgid "File: [1],  Dependencies: [2]"
 msgstr ""
 
 #: msi.rc:173
-#, fuzzy
 #| msgid "Applications"
 msgid "Application: [1]"
-msgstr "Applications"
+msgstr "Application: [1]"
 
 #: msi.rc:175 msi.rc:176
 msgid "Application Context:[1], Assembly Name:[2]"
@@ -7430,10 +7405,9 @@ msgid "AppId: [1]{{, AppType: [2], Users: [3], RSN: [4]}}"
 msgstr ""
 
 #: msi.rc:182 msi.rc:203
-#, fuzzy
 #| msgid "Extensions Only"
 msgid "Extension: [1]"
-msgstr "Extensions uniquement"
+msgstr "Extension: [1]"
 
 #: msi.rc:183 msi.rc:204
 msgid "Font: [1]"
@@ -8720,10 +8694,9 @@ msgid "Wine was brought to you by:"
 msgstr "Wine est une réalisation de :"
 
 #: shell32.rc:334
-#, fuzzy
 #| msgid "&Run..."
 msgid "Run"
-msgstr "E&xécuter..."
+msgstr "Exécuter"
 
 #: shell32.rc:338
 msgid ""
@@ -8757,10 +8730,9 @@ msgid "Size:"
 msgstr "Taille :"
 
 #: shell32.rc:365 shell32.rc:398
-#, fuzzy
 #| msgid "Creation date"
 msgid "Creation date:"
-msgstr "Création"
+msgstr "Date du création :"
 
 #: shell32.rc:369 shell32.rc:406
 #, fuzzy
@@ -8777,10 +8749,8 @@ msgid "&Archive"
 msgstr "&Archive"
 
 #: shell32.rc:386
-#, fuzzy
-#| msgid "Open:"
 msgid "Open with:"
-msgstr "Ouvrir :"
+msgstr "Ouvrir avec :"
 
 #: shell32.rc:389
 #, fuzzy
@@ -9217,98 +9187,88 @@ msgid " sec"
 msgstr " s"
 
 #: twain.rc:29
-#, fuzzy
-#| msgid "Select Folder"
 msgid "Select Source"
-msgstr "Sélectionnez un dossier"
+msgstr "Sélectionnez un source"
 
 #: tzres.rc:82
 msgid "China Standard Time"
-msgstr ""
+msgstr "Heure normale de la Chine"
 
 #: tzres.rc:83
 msgid "China Daylight Time"
-msgstr ""
+msgstr "Heure avancée de la Chine"
 
 #: tzres.rc:160
 msgid "North Asia Standard Time"
-msgstr ""
+msgstr "Heure normale d'Asie du Nord"
 
 #: tzres.rc:161
 msgid "North Asia Daylight Time"
-msgstr ""
+msgstr "Heure avancée d'Asie du Nord"
 
 #: tzres.rc:104
 msgid "Georgian Standard Time"
-msgstr ""
+msgstr "Heure normale géorgienne"
 
 #: tzres.rc:105
 msgid "Georgian Daylight Time"
-msgstr ""
+msgstr "Heure avancée géorgienne"
 
 #: tzres.rc:152
 msgid "Nepal Standard Time"
-msgstr ""
+msgstr "Heure normale du Népal"
 
 #: tzres.rc:153
 msgid "Nepal Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Népal"
 
 #: tzres.rc:60
 msgid "Cape Verde Standard Time"
-msgstr ""
+msgstr "Heure normale du Cap-Vert"
 
 #: tzres.rc:61
 msgid "Cape Verde Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Cap-Vert"
 
 #: tzres.rc:74
-#, fuzzy
-#| msgid "Central European"
 msgid "Central European Standard Time"
-msgstr "Européen central"
+msgstr "Heure normale d'Européen central"
 
 #: tzres.rc:75
-#, fuzzy
-#| msgid "Central European"
 msgid "Central European Daylight Time"
-msgstr "Européen central"
+msgstr "Heure avancée d'Européen central"
 
 #: tzres.rc:140
 msgid "Morocco Standard Time"
-msgstr ""
+msgstr "Heure normale du Maroc"
 
 #: tzres.rc:141
 msgid "Morocco Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Maroc"
 
 #: tzres.rc:72
-#, fuzzy
-#| msgid "Central European"
 msgid "Central Europe Standard Time"
-msgstr "Européen central"
+msgstr "Heure normale d'Europe centrale"
 
 #: tzres.rc:73
-#, fuzzy
-#| msgid "Central European"
 msgid "Central Europe Daylight Time"
-msgstr "Européen central"
+msgstr "Heure avancée d'Europe centrale"
 
 #: tzres.rc:118
 msgid "Iran Standard Time"
-msgstr ""
+msgstr "Heure normale d'Iran"
 
 #: tzres.rc:119
 msgid "Iran Daylight Time"
-msgstr ""
+msgstr "Heure avancée d'Iran"
 
 #: tzres.rc:150
 msgid "Namibia Standard Time"
-msgstr ""
+msgstr "Heure normale de Namibie"
 
 #: tzres.rc:151
 msgid "Namibia Daylight Time"
-msgstr ""
+msgstr "Heure avancée de Namibie"
 
 #: tzres.rc:200
 msgid "Tonga Standard Time"
@@ -9327,30 +9287,29 @@ msgid "Mountain Daylight Time (Mexico)"
 msgstr ""
 
 #: tzres.rc:106
-#, fuzzy
 #| msgid "&Standard bar"
 msgid "GMT Standard Time"
-msgstr "Barre &standard"
+msgstr "Heure GMT"
 
 #: tzres.rc:107
 msgid "GMT Daylight Time"
-msgstr ""
+msgstr "Heure avancée GMT"
 
 #: tzres.rc:68
 msgid "Central Asia Standard Time"
-msgstr ""
+msgstr "Heure normale d'Asie centrale"
 
 #: tzres.rc:69
 msgid "Central Asia Daylight Time"
-msgstr ""
+msgstr "Heure avancée d'Asie centrale"
 
 #: tzres.rc:38
 msgid "Arabic Standard Time"
-msgstr ""
+msgstr "Heure normale arabe"
 
 #: tzres.rc:39
 msgid "Arabic Daylight Time"
-msgstr ""
+msgstr "Heure avancée arabe"
 
 #: tzres.rc:132
 msgid "Magadan Standard Time"
@@ -9362,11 +9321,11 @@ msgstr ""
 
 #: tzres.rc:156
 msgid "Newfoundland Standard Time"
-msgstr ""
+msgstr "Heure normale de Terre-Neuve"
 
 #: tzres.rc:157
 msgid "Newfoundland Daylight Time"
-msgstr ""
+msgstr "Heure avancée de Terre-Neuve"
 
 #: tzres.rc:224
 msgid "West Pacific Standard Time"
@@ -9378,11 +9337,11 @@ msgstr ""
 
 #: tzres.rc:164
 msgid "Pacific Standard Time"
-msgstr ""
+msgstr "Heure normale du Pacifique"
 
 #: tzres.rc:165
 msgid "Pacific Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Pacifique"
 
 #: tzres.rc:48
 msgid "Azerbaijan Standard Time"
@@ -9426,11 +9385,11 @@ msgstr ""
 
 #: tzres.rc:198
 msgid "Tokyo Standard Time"
-msgstr ""
+msgstr "Heure normale de Tokyo"
 
 #: tzres.rc:199
 msgid "Tokyo Daylight Time"
-msgstr ""
+msgstr "Heure avancée de Tokyo"
 
 #: tzres.rc:130
 msgid "Line Islands Standard Time"
@@ -9474,19 +9433,19 @@ msgstr ""
 
 #: tzres.rc:40
 msgid "Argentina Standard Time"
-msgstr ""
+msgstr "Heure normale d'Argentine"
 
 #: tzres.rc:41
 msgid "Argentina Daylight Time"
-msgstr ""
+msgstr "Heure avancée d'Argentine"
 
 #: tzres.rc:146
 msgid "Myanmar Standard Time"
-msgstr ""
+msgstr "Heure normale du Myanmar"
 
 #: tzres.rc:147
 msgid "Myanmar Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Myanmar"
 
 #: tzres.rc:210 tzres.rc:211
 msgid "Coordinated Universal Time"
@@ -9494,29 +9453,28 @@ msgstr ""
 
 #: tzres.rc:116
 msgid "India Standard Time"
-msgstr ""
+msgstr "Heure normale de l'Inde"
 
 #: tzres.rc:117
 msgid "India Daylight Time"
-msgstr ""
+msgstr "Heure avancée de l'Inde"
 
 #: tzres.rc:112
-#, fuzzy
 #| msgid "&Standard bar"
 msgid "GTB Standard Time"
-msgstr "Barre &standard"
+msgstr "Heure normale GTB"
 
 #: tzres.rc:113
 msgid "GTB Daylight Time"
-msgstr ""
+msgstr "Heure avancée GTB"
 
 #: tzres.rc:202
 msgid "Turkey Standard Time"
-msgstr ""
+msgstr "Heure normale de la Turquie"
 
 #: tzres.rc:203
 msgid "Turkey Daylight Time"
-msgstr ""
+msgstr "Heure avancée de la Turquie"
 
 #: tzres.rc:100
 msgid "Fiji Standard Time"
@@ -9672,11 +9630,11 @@ msgstr ""
 
 #: tzres.rc:190
 msgid "Sri Lanka Standard Time"
-msgstr ""
+msgstr "Heure normale du Sri Lanka"
 
 #: tzres.rc:191
 msgid "Sri Lanka Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Sri Lanka"
 
 #: tzres.rc:30
 msgid "Afghanistan Standard Time"
@@ -9712,11 +9670,11 @@ msgstr ""
 
 #: tzres.rc:36
 msgid "Arabian Standard Time"
-msgstr ""
+msgstr "Heure normale d'Arabie"
 
 #: tzres.rc:37
 msgid "Arabian Daylight Time"
-msgstr ""
+msgstr "Heure avancée d'Arabie"
 
 #: tzres.rc:174
 msgid "Russian Standard Time"
@@ -9913,16 +9871,14 @@ msgid "Greenland Daylight Time"
 msgstr ""
 
 #: tzres.rc:92
-#, fuzzy
 #| msgid "Date and time"
 msgid "Easter Island Standard Time"
-msgstr "Date et heure"
+msgstr "Heure normale de l'île de pâques"
 
 #: tzres.rc:93
-#, fuzzy
 #| msgid "Date and time"
 msgid "Easter Island Daylight Time"
-msgstr "Date et heure"
+msgstr "Heure avancée de l'île de pâques"
 
 #: tzres.rc:96
 msgid "Egypt Standard Time"
@@ -9958,11 +9914,11 @@ msgstr ""
 
 #: tzres.rc:126
 msgid "Korea Standard Time"
-msgstr ""
+msgstr "Heure normale de Corée"
 
 #: tzres.rc:127
 msgid "Korea Daylight Time"
-msgstr ""
+msgstr "Heure avancée de Corée"
 
 #: tzres.rc:86
 msgid "E. Africa Standard Time"
@@ -10224,16 +10180,13 @@ msgid "The request has timed out.\n"
 msgstr "Expiration du délai d'attente du service.\n"
 
 #: winineterror.mc:31
-#, fuzzy
 #| msgid "A printer error occurred."
 msgid "An internal error has occurred.\n"
-msgstr "Une erreur d'impression s'est produite."
+msgstr "Une erreur interne s'est produite.\n"
 
 #: winineterror.mc:36
-#, fuzzy
-#| msgid "Path is invalid.\n"
 msgid "The URL is invalid.\n"
-msgstr "Chemin invalide.\n"
+msgstr "L'URL est invalide.\n"
 
 #: winineterror.mc:41
 msgid "The URL scheme could not be recognized or is not supported.\n"
@@ -13952,11 +13905,10 @@ msgid "regedit: Unable to open the registry key '%1'.\n"
 msgstr "regedit : impossible d'ouvrir la clé de registre « %1 ».\n"
 
 #: regedit.rc:425
-#, fuzzy
 #| msgid "regedit: Unsupported registry data type [%1] encountered in '%2'.\n"
 msgid ""
 "regedit: Unsupported registry data type [0x%1!x!] encountered in '%2'.\n"
-msgstr "regedit : type de données de registre [%1] rencontré dans [%2].\n"
+msgstr "regedit : type de données de registre [0x%1!x!] rencontré dans [%2].\n"
 
 #: regedit.rc:426
 msgid "regedit: The registry value '%1' will be exported as binary data.\n"
@@ -13983,10 +13935,9 @@ msgid "regedit: Unable to delete the registry key '%1'.\n"
 msgstr "regedit : impossible d'effacer la classe de registre « %1 ».\n"
 
 #: regedit.rc:431
-#, fuzzy
 #| msgid "regedit: The line '%1' was not recognized.\n"
 msgid "regedit: The line contains invalid syntax.\n"
-msgstr "regedit : la ligne « %1 » n'a pas été reconnue.\n"
+msgstr "regedit : la ligne contient une syntaxe non valide.\n"
 
 #: regedit.rc:187
 #, fuzzy
@@ -14054,10 +14005,8 @@ msgid "Adds a new binary value"
 msgstr "Ajoute une nouvelle valeur binaire"
 
 #: regedit.rc:174
-#, fuzzy
-#| msgid "Adds a new binary value"
 msgid "Adds a new 32-bit value"
-msgstr "Ajoute une nouvelle valeur binaire"
+msgstr "Ajoute une nouvelle valeur 32 bits"
 
 #: regedit.rc:177
 msgid "Imports a text file into the registry"
@@ -15508,7 +15457,7 @@ msgstr ""
 
 #: winecfg.rc:305
 msgid "Manage file &associations"
-msgstr ""
+msgstr "Gérer les associations de fichiers"
 
 #: winecfg.rc:308
 msgid "Folders"
@@ -16388,10 +16337,8 @@ msgid "Expert"
 msgstr "Expert"
 
 #: winemine.rc:74 winemine.rc:33
-#, fuzzy
-#| msgid "Result"
 msgid "Reset Results"
-msgstr "Résultat"
+msgstr "Reinitialiser les résultats"
 
 #: winemine.rc:80
 msgid "Congratulations!"
@@ -16419,7 +16366,7 @@ msgstr "Mines"
 
 #: winemine.rc:34
 msgid "All results will be lost. Are you sure?"
-msgstr ""
+msgstr "Tout les résultats seront perdus. Êtes-vous sûr ?"
 
 #: winemine.rc:30
 msgid "WineMine"
-- 
2.20.1