From 287e3f01f5204e0b834833b7e2fdadaeff03b4fc Mon Sep 17 00:00:00 2001
From: Isira-Seneviratne <isirasen96@gmail.com>
Date: Tue, 15 Jan 2019 11:27:57 +0530
Subject: [PATCH] po: Update Sinhala translation

Signed-off-by: Isira-Seneviratne <isirasen96@gmail.com>
---
 po/si.po | 117 ++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 68 insertions(+), 49 deletions(-)

diff --git a/po/si.po b/po/si.po
index 013abacc4d..258bf9c928 100644
--- a/po/si.po
+++ b/po/si.po
@@ -5,14 +5,14 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2019-01-12 06:10+0530\n"
+"PO-Revision-Date: 2019-01-15 11:59+0530\n"
 "Last-Translator: Isira Seneviratne <isirasen96@gmail.com>\n"
 "Language-Team: Sinhala\n"
 "Language: si\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Poedit 2.2\n"
+"X-Generator: Lokalize 18.12.1\n"
 
 #: appwiz.rc:58
 msgid "Install/Uninstall"
@@ -98,7 +98,7 @@ msgstr "සහාය දුරකතනය:"
 
 #: appwiz.rc:85
 msgid "Readme:"
-msgstr ""
+msgstr "කියවන්න:"
 
 #: appwiz.rc:86
 msgid "Product Updates:"
@@ -336,7 +336,7 @@ msgstr "ඉවර කරන්න"
 
 #: comctl32.rc:97
 msgid "Customize Toolbar"
-msgstr ""
+msgstr "මෙවලම් තීරුව අභිමතකරණය කරන්න"
 
 #: comctl32.rc:100 comctl32.rc:57 cryptui.rc:356 ieframe.rc:43 oleview.rc:83
 #: oleview.rc:187 oleview.rc:200 oleview.rc:212 taskmgr.rc:139
@@ -532,11 +532,11 @@ msgstr ""
 
 #: comdlg32.rc:236
 msgid "Po&rtrait"
-msgstr ""
+msgstr "සිරස් (&R)"
 
 #: comdlg32.rc:237 comdlg32.rc:442 wineps.rc:37
 msgid "&Landscape"
-msgstr ""
+msgstr "තිරස් (&L)"
 
 #: comdlg32.rc:240 comdlg32.rc:415 comdlg32.rc:435 wineps.rc:28
 msgid "Paper"
@@ -625,12 +625,12 @@ msgstr "පැහැය (&H):"
 #: comdlg32.rc:296
 msgctxt "Saturation"
 msgid "&Sat:"
-msgstr ""
+msgstr "සන්තෘප්තිය (&S):"
 
 #: comdlg32.rc:298
 msgctxt "Luminance"
 msgid "&Lum:"
-msgstr ""
+msgstr "දීප්තිය (&L):"
 
 #: comdlg32.rc:308
 msgid "&Add to Custom Colors"
@@ -755,11 +755,11 @@ msgstr ""
 
 #: comdlg32.rc:423
 msgid "P&ortrait"
-msgstr ""
+msgstr "සිරස් (&O)"
 
 #: comdlg32.rc:424
 msgid "L&andscape"
-msgstr ""
+msgstr "තිරස් (&A)"
 
 #: comdlg32.rc:429
 msgid "Setup Page"
@@ -771,7 +771,7 @@ msgstr ""
 
 #: comdlg32.rc:441 wineps.rc:35
 msgid "&Portrait"
-msgstr ""
+msgstr "සිරස් (&P)"
 
 #: comdlg32.rc:444
 msgid "L&eft:"
@@ -871,7 +871,7 @@ msgstr ""
 
 #: comdlg32.rc:46
 msgid "Create New Folder"
-msgstr ""
+msgstr "අලුත් ෆෝල්ඩරයක් හදන්න"
 
 #: comdlg32.rc:47
 msgid "List"
@@ -1047,7 +1047,7 @@ msgstr "ගොනුව අරින්න"
 
 #: comdlg32.rc:147
 msgid "Select Folder"
-msgstr ""
+msgstr "ෆෝල්ඩරය තෝරන්න"
 
 #: comdlg32.rc:148
 msgid "Font size has to be a number."
@@ -1347,7 +1347,7 @@ msgstr ""
 
 #: crypt32.rc:61
 msgid "Certificate Type"
-msgstr ""
+msgstr "සහතික වර්ගය"
 
 #: crypt32.rc:62
 msgid "Certificate Manifold"
@@ -1827,7 +1827,7 @@ msgstr ""
 
 #: crypt32.rc:189
 msgid "URL="
-msgstr ""
+msgstr "URL="
 
 #: crypt32.rc:190
 msgid "IP Address="
@@ -2026,7 +2026,7 @@ msgstr "අත්සන"
 
 #: crypt32.rc:238
 msgid "SSL CA"
-msgstr ""
+msgstr "SSL සහතික අධිකාරිය"
 
 #: crypt32.rc:239
 msgid "S/MIME CA"
@@ -2034,7 +2034,7 @@ msgstr ""
 
 #: crypt32.rc:240
 msgid "Signature CA"
-msgstr "CA අත්සන"
+msgstr "අත්සනේ සහතික අධිකාරිය"
 
 #: cryptdlg.rc:30
 msgid "Certificate Policy"
@@ -3132,7 +3132,7 @@ msgstr ""
 
 #: hhctrl.rc:42
 msgid "Show"
-msgstr ""
+msgstr "පෙන්නන්න"
 
 #: hhctrl.rc:43 winemac.rc:34
 msgid "Hide"
@@ -3767,7 +3767,7 @@ msgstr ""
 
 #: winerror.mc:143
 msgid "CRC error.\n"
-msgstr ""
+msgstr "CRC දෝෂයක්.\n"
 
 #: winerror.mc:148
 msgid "Bad length.\n"
@@ -6850,7 +6850,7 @@ msgstr ""
 
 #: msi.rc:97
 msgid "Creating folders"
-msgstr ""
+msgstr "ෆෝල්ඩර හදනවා"
 
 #: msi.rc:98
 msgid "Creating shortcuts"
@@ -8272,7 +8272,7 @@ msgstr ""
 
 #: shell32.rc:32 shell32.rc:47 shell32.rc:124 shell32.rc:164
 msgid "&List"
-msgstr ""
+msgstr "ලැයිස්තුව (&L)"
 
 #: shell32.rc:33 shell32.rc:48 shell32.rc:125 shell32.rc:165 taskmgr.rc:67
 #: taskmgr.rc:112 taskmgr.rc:254
@@ -8816,7 +8816,7 @@ msgstr ""
 
 #: shlwapi.rc:38 user32.rc:71 regedit.rc:204 winecfg.rc:87 winefile.rc:97
 msgid "Error"
-msgstr ""
+msgstr "දෝෂයක්"
 
 #: shlwapi.rc:43
 msgid "Don't show me th&is message again"
@@ -9734,7 +9734,7 @@ msgstr ""
 
 #: winemac.rc:36
 msgid "Show All"
-msgstr ""
+msgstr "සියලුම පෙන්නන්න"
 
 #: winemac.rc:37
 msgid "Quit %@"
@@ -11303,26 +11303,30 @@ msgid "Usage: hostname\n"
 msgstr ""
 
 #: hostname.rc:31
+#, fuzzy
 msgid "Error: Invalid option '%c'.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: hostname.rc:32
+#, fuzzy
 msgid "Error: Could not get hostname: %u.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: hostname.rc:33
+#, fuzzy
 msgid ""
 "Error: Setting the system hostname is not possible with the hostname "
 "utility.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: ipconfig.rc:30
 msgid "Usage: ipconfig [ /? | /all ]\n"
 msgstr ""
 
 #: ipconfig.rc:31
+#, fuzzy
 msgid "Error: Unknown or invalid command line parameters specified\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: ipconfig.rc:32
 msgid "%1 adapter %2\n"
@@ -11547,7 +11551,7 @@ msgstr ""
 
 #: netstat.rc:42
 msgid "Errors"
-msgstr ""
+msgstr "දෝෂ"
 
 #: netstat.rc:43
 msgid "Unknown protocols"
@@ -12333,12 +12337,14 @@ msgid "Not implemented"
 msgstr ""
 
 #: progman.rc:71
+#, fuzzy
 msgid "Error reading `%s'."
-msgstr ""
+msgstr "දෝෂයක්"
 
 #: progman.rc:72
+#, fuzzy
 msgid "Error writing `%s'."
-msgstr ""
+msgstr "දෝෂයක්"
 
 #: progman.rc:75
 msgid ""
@@ -13152,24 +13158,29 @@ msgid "Usage: taskkill [/?] [/f] [/im ProcessName | /pid ProcessID]\n"
 msgstr ""
 
 #: taskkill.rc:31
+#, fuzzy
 msgid "Error: Unknown or invalid command line option specified.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:32
+#, fuzzy
 msgid "Error: Invalid command line parameter specified.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:33
+#, fuzzy
 msgid "Error: One of options /im or /pid must be specified.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:34
+#, fuzzy
 msgid "Error: Option %1 expects a command line parameter.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:35
+#, fuzzy
 msgid "Error: Options /im and /pid are mutually exclusive.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:36
 msgid "Close message sent to top-level windows of process with PID %1!u!.\n"
@@ -13189,20 +13200,24 @@ msgid "Process \"%1\" with PID %2!u! was forcibly terminated.\n"
 msgstr ""
 
 #: taskkill.rc:40
+#, fuzzy
 msgid "Error: Could not find process \"%1\".\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:41
+#, fuzzy
 msgid "Error: Unable to enumerate the process list.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:42
+#, fuzzy
 msgid "Error: Unable to terminate process \"%1\".\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskkill.rc:43
+#, fuzzy
 msgid "Error: Process self-termination is not permitted.\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: taskmgr.rc:37 taskmgr.rc:108
 msgid "&New Task (Run...)"
@@ -14848,7 +14863,7 @@ msgstr ""
 
 #: winedbg.rc:50 winedbg.rc:38
 msgid "Program Error"
-msgstr ""
+msgstr "මෘදුකාංගයේ දෝෂයක්"
 
 #: winedbg.rc:55
 msgid ""
@@ -15252,11 +15267,11 @@ msgstr "Wine උදවු"
 
 #: winhlp32.rc:86
 msgid "Error while reading the help file `%s'"
-msgstr ""
+msgstr "උදවු ගොනුව `%s' කියවන ගමං දෝෂයක් ආවා"
 
 #: winhlp32.rc:88
 msgid "Summary"
-msgstr ""
+msgstr "සාරාංශය"
 
 #: winhlp32.rc:87
 msgid "&Index"
@@ -15264,7 +15279,7 @@ msgstr "දර්ශකය (&I)"
 
 #: winhlp32.rc:91
 msgid "Help files (*.hlp)"
-msgstr ""
+msgstr "උදවු ගොනු (*.hlp)"
 
 #: winhlp32.rc:92
 msgid "Cannot find '%s'. Do you want to find this file yourself?"
@@ -15279,20 +15294,24 @@ msgid "Help topics: "
 msgstr ""
 
 #: wmic.rc:28
+#, fuzzy
 msgid "Error: Command line not supported\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: wmic.rc:29
+#, fuzzy
 msgid "Error: Alias not found\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: wmic.rc:30
+#, fuzzy
 msgid "Error: Invalid query\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: wmic.rc:31
+#, fuzzy
 msgid "Error: Invalid syntax for PATH\n"
-msgstr ""
+msgstr "දෝෂයක්:"
 
 #: wordpad.rc:31
 msgid "&New...\tCtrl+N"
@@ -15368,7 +15387,7 @@ msgstr ""
 
 #: wordpad.rc:85
 msgid "&Lists"
-msgstr ""
+msgstr "ලැයිස්තු (&L)"
 
 #: wordpad.rc:87 wordpad.rc:116
 msgid "&Bullet points"
@@ -15531,7 +15550,7 @@ msgstr "U"
 
 #: wordpad.rc:147
 msgid "All documents (*.*)"
-msgstr "සියලුම ලියවිලි (*.txt)"
+msgstr "සියලුම ලියවිලි (*.*)"
 
 #: wordpad.rc:148
 msgid "Text documents (*.txt)"
-- 
2.20.1