From 6cbdf69ffbe2c2c2f9e134ca19eecfe8c7d0b6f3 Mon Sep 17 00:00:00 2001
From: Isira Seneviratne <isirasen96@gmail.com>
Date: Sat, 23 Feb 2019 07:53:54 +0530
Subject: [PATCH v2] po: Update Tamil translation.

Signed-off-by: Isira Seneviratne <isirasen96@gmail.com>
---
 po/ta.po | 106 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 54 insertions(+), 52 deletions(-)

diff --git a/po/ta.po b/po/ta.po
index 6caa320488..7e4406741f 100644
--- a/po/ta.po
+++ b/po/ta.po
@@ -5,14 +5,14 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2019-02-19 03:44+0530\n"
+"PO-Revision-Date: 2019-03-11 15:29+0530\n"
 "Last-Translator: Isira Seneviratne <isirasen96@gmail.com>\n"
 "Language-Team: Tamil\n"
 "Language: ta\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 18.12.2\n"
+"X-Generator: Lokalize 18.12.3\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 
 #: appwiz.rc:58
@@ -38,20 +38,20 @@ msgstr ""
 
 #: appwiz.rc:67
 msgid "&Support Information"
-msgstr ""
+msgstr "ஆதரவு தகவல் (&S)"
 
 #: appwiz.rc:68 regedit.rc:133 regedit.rc:232
 msgid "&Modify..."
-msgstr ""
+msgstr "திருத்து... (&M)"
 
 #: appwiz.rc:69 appwiz.rc:45 cryptui.rc:351 msacm32.rc:40 winecfg.rc:200
 #: winecfg.rc:237 wordpad.rc:256
 msgid "&Remove"
-msgstr ""
+msgstr "அகற்று (&R)"
 
 #: appwiz.rc:75
 msgid "Support Information"
-msgstr ""
+msgstr "ஆதரவு தகவல்"
 
 #: appwiz.rc:78 avifil32.rc:54 comctl32.rc:71 comctl32.rc:55 comdlg32.rc:232
 #: comdlg32.rc:262 comdlg32.rc:305 comdlg32.rc:388 comdlg32.rc:422
@@ -77,19 +77,19 @@ msgstr ""
 
 #: appwiz.rc:80
 msgid "Publisher:"
-msgstr ""
+msgstr "வெளியீட்டாளர்:"
 
 #: appwiz.rc:81 winefile.rc:166
 msgid "Version:"
-msgstr ""
+msgstr "பதிப்பு:"
 
 #: appwiz.rc:82
 msgid "Contact:"
-msgstr ""
+msgstr "தொடர்பு:"
 
 #: appwiz.rc:83
 msgid "Support Information:"
-msgstr ""
+msgstr "ஆதரவு தகவல்:"
 
 #: appwiz.rc:84
 msgid "Support Telephone:"
@@ -97,7 +97,7 @@ msgstr ""
 
 #: appwiz.rc:85
 msgid "Readme:"
-msgstr ""
+msgstr "பயனர் உதவி:"
 
 #: appwiz.rc:86
 msgid "Product Updates:"
@@ -192,11 +192,11 @@ msgstr "பெயர்"
 
 #: appwiz.rc:39
 msgid "Publisher"
-msgstr ""
+msgstr "வெளியீட்டாளர்"
 
 #: appwiz.rc:40 cryptui.rc:54
 msgid "Version"
-msgstr ""
+msgstr "பதிப்பு"
 
 #: appwiz.rc:41
 msgid "Installation programs"
@@ -204,7 +204,7 @@ msgstr ""
 
 #: appwiz.rc:42
 msgid "Programs (*.exe)"
-msgstr ""
+msgstr "நிரல்கள் (*.exe)"
 
 #: appwiz.rc:43 avifil32.rc:33 cryptui.rc:83 shell32.rc:199 notepad.rc:76
 #: oleview.rc:103 progman.rc:82 regedit.rc:225 winedbg.rc:43 winhlp32.rc:90
@@ -267,11 +267,11 @@ msgstr ""
 
 #: avifil32.rc:34
 msgid "video"
-msgstr ""
+msgstr "காணொளி"
 
 #: avifil32.rc:35
 msgid "audio"
-msgstr ""
+msgstr "ஆடியோ"
 
 #: avifil32.rc:36
 msgid "Wine AVI-default-filehandler"
@@ -295,15 +295,15 @@ msgstr ""
 
 #: browseui.rc:31
 msgid "seconds"
-msgstr ""
+msgstr "விநாடிகள்"
 
 #: browseui.rc:32
 msgid "minutes"
-msgstr ""
+msgstr "நிமிடங்கள்"
 
 #: browseui.rc:33
 msgid "hours"
-msgstr ""
+msgstr "மணி"
 
 #: comctl32.rc:68 winefile.rc:157
 msgid "Properties for %s"
@@ -315,7 +315,7 @@ msgstr ""
 
 #: comctl32.rc:74 comctl32.rc:88 comdlg32.rc:307 user32.rc:88
 msgid "Help"
-msgstr ""
+msgstr "உதவி"
 
 #: comctl32.rc:81
 msgid "Wizard"
@@ -354,7 +354,7 @@ msgstr ""
 #: progman.rc:160 progman.rc:184 progman.rc:202 progman.rc:219 regedit.rc:77
 #: taskmgr.rc:87 winefile.rc:82 winemine.rc:53 winhlp32.rc:57 wordpad.rc:102
 msgid "&Help"
-msgstr ""
+msgstr "உதவி (&H)"
 
 #: comctl32.rc:103
 msgid "Move &Up"
@@ -370,11 +370,11 @@ msgstr ""
 
 #: comctl32.rc:107
 msgid "&Add ->"
-msgstr ""
+msgstr "சேர் (&A) ->"
 
 #: comctl32.rc:108
 msgid "<- &Remove"
-msgstr ""
+msgstr "<- அகற்று (&R)"
 
 #: comctl32.rc:109
 msgid "&Toolbar buttons:"
@@ -391,11 +391,11 @@ msgstr ""
 
 #: comctl32.rc:52 shell32.rc:309 shlwapi.rc:46 user32.rc:79
 msgid "&Yes"
-msgstr ""
+msgstr "ஆம் (&Y)"
 
 #: comctl32.rc:53 shell32.rc:311 shlwapi.rc:47 user32.rc:80
 msgid "&No"
-msgstr ""
+msgstr "இல்லை (&N)"
 
 #: comctl32.rc:54 user32.rc:82
 msgid "&Retry"
@@ -591,7 +591,7 @@ msgstr ""
 
 #: comdlg32.rc:282
 msgid "Color"
-msgstr ""
+msgstr "நிறம்"
 
 #: comdlg32.rc:285
 msgid "&Basic Colors:"
@@ -607,15 +607,15 @@ msgstr ""
 
 #: comdlg32.rc:288
 msgid "&Red:"
-msgstr ""
+msgstr "சிவப்பு (&R):"
 
 #: comdlg32.rc:290
 msgid "&Green:"
-msgstr ""
+msgstr "பச்சை (&G):"
 
 #: comdlg32.rc:292
 msgid "&Blue:"
-msgstr ""
+msgstr "நீல (&B):"
 
 #: comdlg32.rc:294
 msgid "&Hue:"
@@ -900,15 +900,15 @@ msgstr ""
 
 #: comdlg32.rc:121 wordpad.rc:125
 msgid "Black"
-msgstr ""
+msgstr "கருப்பு"
 
 #: comdlg32.rc:122 wordpad.rc:126
 msgid "Maroon"
-msgstr ""
+msgstr "மெரூன்"
 
 #: comdlg32.rc:123 wordpad.rc:127
 msgid "Green"
-msgstr ""
+msgstr "பச்சை"
 
 #: comdlg32.rc:124 wordpad.rc:128
 msgid "Olive"
@@ -920,7 +920,7 @@ msgstr ""
 
 #: comdlg32.rc:126 wordpad.rc:130
 msgid "Purple"
-msgstr ""
+msgstr "ஊதா"
 
 #: comdlg32.rc:127 wordpad.rc:131
 msgid "Teal"
@@ -928,15 +928,15 @@ msgstr ""
 
 #: comdlg32.rc:128 wordpad.rc:132
 msgid "Gray"
-msgstr ""
+msgstr "சாம்பல்"
 
 #: comdlg32.rc:129 wordpad.rc:133
 msgid "Silver"
-msgstr ""
+msgstr "வெள்ளி"
 
 #: comdlg32.rc:130 wordpad.rc:134
 msgid "Red"
-msgstr ""
+msgstr "சிவப்பு"
 
 #: comdlg32.rc:131 wordpad.rc:135
 msgid "Lime"
@@ -944,11 +944,11 @@ msgstr ""
 
 #: comdlg32.rc:132 wordpad.rc:136
 msgid "Yellow"
-msgstr ""
+msgstr "மஞ்சள்"
 
 #: comdlg32.rc:133 wordpad.rc:137
 msgid "Blue"
-msgstr ""
+msgstr "நீல"
 
 #: comdlg32.rc:134 wordpad.rc:138
 msgid "Fuchsia"
@@ -960,7 +960,7 @@ msgstr ""
 
 #: comdlg32.rc:136 wordpad.rc:140
 msgid "White"
-msgstr ""
+msgstr "வெள்ளை"
 
 #: comdlg32.rc:56
 msgid "Unreadable Entry"
@@ -1060,7 +1060,7 @@ msgstr ""
 
 #: comdlg32.rc:85
 msgid "Error; "
-msgstr ""
+msgstr "பிழை; "
 
 #: comdlg32.rc:86
 msgid "Pending deletion; "
@@ -1436,7 +1436,7 @@ msgstr ""
 
 #: crypt32.rc:84
 msgid "CA Version"
-msgstr ""
+msgstr "CA பதிப்பு"
 
 #: crypt32.rc:85
 msgid "Cross CA Version"
@@ -3166,7 +3166,7 @@ msgstr ""
 
 #: iccvid.rc:28 iccvid.rc:29
 msgid "Cinepak Video codec"
-msgstr ""
+msgstr "Cinepak வீடியோ கோடெக்"
 
 #: ieframe.rc:28 shell32.rc:114 notepad.rc:29 oleview.rc:30 oleview.rc:80
 #: progman.rc:32 taskmgr.rc:35 view.rc:31 winefile.rc:28 winhlp32.rc:31
@@ -3358,7 +3358,7 @@ msgstr ""
 
 #: inetcpl.rc:115
 msgid "Publishers..."
-msgstr ""
+msgstr "வெளியீட்டாளர்கள்..."
 
 #: inetcpl.rc:123
 msgid "Connections"
@@ -7252,13 +7252,15 @@ msgstr ""
 
 #: msrle32.rc:31
 msgid "Wine MS-RLE video codec"
-msgstr ""
+msgstr "Wine MS-RLE வீடியோ கோடெக்"
 
 #: msrle32.rc:32
 msgid ""
 "Wine MS-RLE video codec\n"
 "Copyright 2002 by Michael Guennewig"
 msgstr ""
+"Wine MS-RLE வீடியோ கோடெக்\n"
+"Copyright 2002 by Michael Guennewig"
 
 #: msvfw32.rc:33
 msgid "Video Compression"
@@ -7298,7 +7300,7 @@ msgstr ""
 
 #: msvidc32.rc:29
 msgid "Wine Video 1 video codec"
-msgstr ""
+msgstr "Wine வீடியோ 1 வீடியோ கோடெக்"
 
 #: oleacc.rc:31
 msgid "unknown object"
@@ -8581,7 +8583,7 @@ msgstr ""
 
 #: shell32.rc:215
 msgid "Program Files"
-msgstr ""
+msgstr "நிரல் கோப்புகள்"
 
 #: shell32.rc:217
 msgid "My Pictures"
@@ -8613,7 +8615,7 @@ msgstr ""
 
 #: shell32.rc:216
 msgid "Program Files (x86)"
-msgstr ""
+msgstr "நிரல் கோப்புகள் (x86)"
 
 #: shell32.rc:224
 msgid "Contacts"
@@ -14113,7 +14115,7 @@ msgstr ""
 
 #: winecfg.rc:161
 msgid "&Windows Version:"
-msgstr ""
+msgstr "&Windows பதிப்பு:"
 
 #: winecfg.rc:169
 msgid "Window settings"
@@ -15024,7 +15026,7 @@ msgstr ""
 
 #: winefile.rc:168
 msgid "Cop&yright:"
-msgstr ""
+msgstr "பதிப்புரிமை (&Y):"
 
 #: winefile.rc:176
 msgid "&System"
@@ -15177,7 +15179,7 @@ msgstr ""
 
 #: winemine.rc:30
 msgid "WineMine"
-msgstr ""
+msgstr "WineMine"
 
 #: winemine.rc:31
 msgid "Nobody"
@@ -15185,7 +15187,7 @@ msgstr ""
 
 #: winemine.rc:32
 msgid "Copyright 2000 Joshua Thielen"
-msgstr ""
+msgstr "Copyright 2000 Joshua Thielen"
 
 #: winhlp32.rc:35
 msgid "Printer &setup..."
@@ -15249,7 +15251,7 @@ msgstr ""
 
 #: winhlp32.rc:81
 msgid "Wine Help"
-msgstr ""
+msgstr "Wine உதவி"
 
 #: winhlp32.rc:86
 msgid "Error while reading the help file `%s'"
-- 
2.21.0